This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 222073 - Oops in kernel-2.6.19-1.2906.fc7
Oops in kernel-2.6.19-1.2906.fc7
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 19:37 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 21:46:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg (27.96 KB, text/plain)
2007-01-09 19:37 EST, sangu
no flags Details

  None (edit)
Description sangu 2007-01-09 19:37:02 EST
Description of problem:
$dmesg
[...]
dvb-usb: found a 'DViCO FusionHDTV5 USB Gold' in warm state.
**WARNING** I2C adapter driver [DViCO FusionHDTV5 USB Gold] forgot to specify
physical device; fix it!
dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
DVB: registering new adapter (DViCO FusionHDTV5 USB Gold).
DVB: registering frontend 0 (LG Electronics LGDT3303 VSB/QAM Frontend)...
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
input: IR-receiver inside an USB DVB receiver as /class/input/input5
dvb-usb: schedule remote query interval to 100 msecs.
dvb-usb: DViCO FusionHDTV5 USB Gold successfully initialized and connected.
BUG: unable to handle kernel paging request at virtual address 5a5a5a5a
 printing eip:
5a5a5a5a
*pde = 00000000
Oops: 0000 [#1]
SMP 
last sysfs file: /devices/virtual/misc/device-mapper/dev
Modules linked in: lgh06xf dm_mod lgdt330x video sbs i2c_ec dock button battery
asus_acpi backlight ac parport_pc lp parport snd_intel8x0 snd_emu10k1_synth
snd_emux_synth snd_seq_dummy snd_seq_virmidi snd_seq_oss snd_seq_midi_emul
nvidia(P) snd_emu10k1 snd_seq_midi_event snd_seq sr_mod cdrom snd_rawmidi
snd_ac97_codec snd_pcm_oss dvb_usb_cxusb dvb_usb ohci1394 dvb_core ac97_bus
snd_mixer_oss snd_seq_device ieee1394 snd_pcm snd_util_mem dvb_pll snd_hwdep
emu10k1_gp snd_timer k8_edac snd gameport i2c_nforce2 k8temp floppy edac_mc
hwmon pcspkr soundcore forcedeth i2c_core pata_amd snd_page_alloc sg sata_nv
ata_generic libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
CPU:    1
EIP:    0060:[<5a5a5a5a>]    Tainted: P      VLI
EFLAGS: 00210206   (2.6.19-1.2906.fc7 #0)
EIP is at 0x5a5a5a5a
eax: f6e5e768   ebx: 5a5a5a5a   ecx: f6ea8000   edx: f6e9850c
esi: f6e5e840   edi: c06f7d54   ebp: f711ff40   esp: f711ff34
ds: 007b   es: 007b   ss: 0068
Process udevd (pid: 1321, ti=f711f000 task=c2b5a030 task.ti=f711f000)
Stack: c0553ccd f6e6ba68 f6e9951c f711ff70 c04b1523 00000080 bfce4618 c2b26d28 
       f6e5e840 f6e9850c f711ff78 f6e6ba7c f7057944 c04b1492 bfce4618 f711ff90 
       c0478f04 f711ff9c c04800a9 00000080 f7057944 fffffff7 00000003 f711ffb0 
Call Trace:
 [<c04051c9>] show_trace_log_lvl+0x1a/0x2f
 [<c0405279>] show_stack_log_lvl+0x9b/0xa3
 [<c0405415>] show_registers+0x194/0x26a
 [<c0405618>] die+0x12d/0x242
 [<c060674f>] do_page_fault+0x3ee/0x4ba
 [<c0604f4c>] error_code+0x7c/0x84
 [<c04b1523>] sysfs_read_file+0x91/0x132
 [<c0478f04>] vfs_read+0xad/0x161
 [<c0479390>] sys_read+0x3d/0x61
 [<c0404058>] syscall_call+0x7/0xb
 =======================
Code:  Bad EIP value.
EIP: [<5a5a5a5a>] 0x5a5a5a5a SS:ESP 0068:f711ff34
 <1>BUG: unable to handle kernel paging request at virtual address 5a006763
 printing eip:
c044582e
*pde = 00000000
Oops: 0002 [#2]
SMP 
last sysfs file: /devices/virtual/misc/device-mapper/dev
Modules linked in: lgh06xf dm_mod lgdt330x video sbs i2c_ec dock button battery
asus_acpi backlight ac parport_pc lp parport snd_intel8x0 snd_emu10k1_synth
snd_emux_synth snd_seq_dummy snd_seq_virmidi snd_seq_oss snd_seq_midi_emul
nvidia(P) snd_emu10k1 snd_seq_midi_event snd_seq sr_mod cdrom snd_rawmidi
snd_ac97_codec snd_pcm_oss dvb_usb_cxusb dvb_usb ohci1394 dvb_core ac97_bus
snd_mixer_oss snd_seq_device ieee1394 snd_pcm snd_util_mem dvb_pll snd_hwdep
emu10k1_gp snd_timer k8_edac snd gameport i2c_nforce2 k8temp floppy edac_mc
hwmon pcspkr soundcore forcedeth i2c_core pata_amd snd_page_alloc sg sata_nv
ata_generic libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
CPU:    1
EIP:    0060:[<c044582e>]    Tainted: P      VLI
EFLAGS: 00210212   (2.6.19-1.2906.fc7 #0)
EIP is at module_put+0x19/0x2d
eax: 5a006763   ebx: f6e6ba68   ecx: 00000000   edx: 5a006563
esi: f6e5e840   edi: 5a006563   ebp: f711fdc4   esp: f711fdc4
ds: 007b   es: 007b   ss: 0068
Process udevd (pid: 1321, ti=f711f000 task=c2b5a030 task.ti=f711f000)
Stack: f711fdd8 c04b1339 00000010 f6e9a27c f7057944 f711fe00 c047974b 00000000 
       00000000 f6e949ac f7d27190 f6e9a27c f7057944 f71a4b1c 00000000 f711fe08 
       c047980c f711fe20 c047710d 00000000 f71a4b1c 0000000c 00000001 f711fe40 
Call Trace:
 [<c04051c9>] show_trace_log_lvl+0x1a/0x2f
 [<c0405279>] show_stack_log_lvl+0x9b/0xa3
 [<c0405415>] show_registers+0x194/0x26a
 [<c0405618>] die+0x12d/0x242
 [<c060674f>] do_page_fault+0x3ee/0x4ba
 [<c0604f4c>] error_code+0x7c/0x84
 [<c04b1339>] sysfs_release+0x33/0x53
 [<c047974b>] __fput+0xbe/0x168
 [<c047980c>] fput+0x17/0x19
 [<c047710d>] filp_close+0x54/0x5c
 [<c0428f36>] put_files_struct+0x67/0xa4
 [<c0429fb3>] do_exit+0x23d/0x72c
 [<c0405707>] die+0x21c/0x242
 [<c060674f>] do_page_fault+0x3ee/0x4ba
 [<c0604f4c>] error_code+0x7c/0x84
 [<c04b1523>] sysfs_read_file+0x91/0x132
 [<c0478f04>] vfs_read+0xad/0x161
 [<c0479390>] sys_read+0x3d/0x61
 [<c0404058>] syscall_call+0x7/0xb
 =======================
Code: c0 5d c3 55 83 c0 04 89 e5 e8 df 38 0a 00 31 c0 5d c3 55 85 c0 89 e5 89 c2
74 22 65 a1 04 00 00 00 c1 e0 07 8d 84 10 80 01 00 00 <ff> 08 83 3a 02 75 0b 8b
82 88 11 00 00 e8 30 cf fd ff 5d c3 55 
EIP: [<c044582e>] module_put+0x19/0x2d SS:ESP 0068:f711fdc4
 <1>Fixing recursive fault but reboot is needed!
EXT3 FS on sda9, internal journal
Adding 1028120k swap on /dev/sda8.  Priority:-1 extents:1 across:1028120k
audit(1168388280.628:3): audit_pid=1868 old=0 by auid=4294967295
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Mobile IPv6
eth0: no IPv6 routers present
**WARNING** I2C adapter driver [NVIDIA i2c adapter 0 at 5:00.0] forgot to
specify physical device; fix it!
**WARNING** I2C adapter driver [NVIDIA i2c adapter 1 at 5:00.0] forgot to
specify physical device; fix it!
**WARNING** I2C adapter driver [NVIDIA i2c adapter 2 at 5:00.0] forgot to
specify physical device; fix it!


Version-Release number of selected component (if applicable):
2.6.19-1.2906.fc7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
CPU: AMD 3800+ dual core
VGA: NVIdia 6800GS
USB device :  DVico FusionHDTV5 USB 2.0
Comment 1 sangu 2007-01-09 19:37:02 EST
Created attachment 145212 [details]
dmesg

Note You need to log in before you can comment on or make changes to this bug.